package cn.wise.sc.pay.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

@JsonSerialize(using = WiseAuth2ExceptionSerializer.class)
public class InvalidException extends WiseAuth2Exception {

	public InvalidException(String msg, Throwable t) {
		super(msg);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "invalid_exception";
	}

	/**
	 * 返回500试试 用户名密码错误
	 * @return  int
	 */
	@Override
	public int getHttpErrorCode() {
		return 500;
	}

}
