package cn.wise.sc.pay.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Getter;
import org.springframework.security.oauth2.common.exceptions.OAuth2Exception;

/**
 * 自定义OAuth2Exception
 */
@JsonSerialize(using = WiseAuth2ExceptionSerializer.class)
public class WiseAuth2Exception extends OAuth2Exception {
	@Getter
	private String errorCode;

	public WiseAuth2Exception(String msg) {
		super(msg);
	}

	public WiseAuth2Exception(String msg, String errorCode) {
		super(msg);
		this.errorCode = errorCode;
	}
}
