package cn.wise.sc.pay.business.comment.bean;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Reply extends Model<Reply> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 内容
     */
    private String content;
    /**
     * 评论或回复的id
     */
    @TableField("cor_id")
    private Long corId;
    /**
     * 目标用户id
     */
    @TableField("tou_id")
    private Long touId;
    /**
     * 目标用户名称
     */
    @TableField("tou_name")
    private String touName;
    /**
     * 目标用户头像
     */
    @TableField("tou_image")
    private String touImage;
    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;
    /**
     * 用户名称
     */
    @TableField("user_name")
    private String userName;
    /**
     * 用户头像
     */
    @TableField("user_image")
    private String userImage;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private Long createTime;
    /**
     * 点赞数
     */
    @TableField("praise_num")
    private Long praiseNum;
    /**
     * 回复数
     */
    @TableField("re_num")
    private Long reNum;

    /**
     * 备用字段1
     */
    @TableField("re_back1")
    private String reBack1;

    /**
     * 备用字段2
     */
    @TableField("re_back2")
    private String reBack2;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
