package cn.wise.sc.pay.business.goods.model.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 15:37
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpecificationQuery implements Serializable {
    private static final long serialVersionUID = 4541763505917305273L;

    private long id;

    /**
     * 商品id
     */
    private long goodsId;

    /**
     * 商户id
     */
    private long sellerId;

    /**
     * 规格名
     */
    private String name;

    /**
     * 状态
     */
    private int status;

    private List<SpcDetailQuery> spcDetailQuery;
}
