package cn.wise.sc.pay.business.goods.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 16:23
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpcDetailVO implements Serializable {
    private static final long serialVersionUID = 8014928652261590914L;

    private long id;

    /**
     * 规格详情具体名
     */
    private String name;

    /**
     * 售价
     */
    private BigDecimal price;

    /**
     * 库存
     */
    private Integer store;
}
