

package cn.wise.sc.pay.laas.userbac.business.mapper;

import cn.wise.sc.pay.laas.userbac.domain.entity.SysRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>

 */
public interface SysRoleMapper extends BaseMapper<SysRole> {
	/**
	 * 通过用户ID，查询角色信息
	 *
	 * @param userId
	 * @return
	 */
	List<SysRole> listRolesByUserId(@Param("userId")Integer userId, @Param("prefix")String prefix, @Param("suffix")String suffix);
}
