package cn.wise.sc.pay.pass.business.app;

import cn.wise.sc.pay.common.swagger.EnableWiseSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author neo.shu
 * @since 2019/11/5 20:23
 */
@EnableDiscoveryClient
@SpringBootApplication(scanBasePackages = "cn.wise.sc.pay")
@EnableWiseSwagger2
@EnableFeignClients(basePackages = {"cn.wise.sc.pay.api.eshopping.service"})
public class AppsApplication {
    public static void main(String[] args) {
        SpringApplication.run(AppsApplication.class, args);
    }
}
