//package cn.wise.sc.pay.pass.business.manager.login;
//
//import cn.wise.sc.pay.common.security.SecurityUserDetails;
//import cn.wise.sc.pay.laas.userbac.business.mapper.SysRoleMapper;
//import cn.wise.sc.pay.laas.userbac.business.mapper.SysUserMapper;
//import cn.wise.sc.pay.laas.userbac.domain.entity.SysRole;
//import cn.wise.sc.pay.laas.userbac.domain.vo.UserVO;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.boot.context.properties.ConfigurationProperties;
//import org.springframework.security.core.userdetails.User;
//import org.springframework.security.core.userdetails.UserDetails;
//import org.springframework.security.core.userdetails.UserDetailsService;
//import org.springframework.security.core.userdetails.UsernameNotFoundException;
//import org.springframework.stereotype.Component;
//import java.util.HashSet;
//import java.util.List;
//
///**
// * 用户登录
// */
//
//@Component
//@ConfigurationProperties(prefix = "spring.datasource.dtn.userbac")
//public class ManagerUserDetails implements UserDetailsService {
//    @Autowired
//    private SysUserMapper userMapper;
//    @Autowired
//    private SysRoleMapper roleMapper;
//    @Value("${prefix}")
//    private String prefix;
//
//    @Override
//    public UserDetails loadUserByUsername(String s) throws UsernameNotFoundException {
//
//        UserVO userVoByUsername = userMapper.getUserVoByUsername(s, prefix, null);
//
//        String lockFlag = userVoByUsername.getLockFlag();
//
//        String delFlag = userVoByUsername.getDelFlag();
//
//
//        List<SysRole> sysRoles = roleMapper.listRolesByUserId(userVoByUsername.getUserId(), prefix, null);
//
//        HashSet<String> strings = new HashSet<>();
//
//        for (SysRole sysRole : sysRoles) {
//            strings.add(sysRole.getRoleName());
//        }
//
//        SecurityUserDetails details = new SecurityUserDetails(userVoByUsername.getUsername(), GrantedCollect.granteds(sysRoles) );
//
//        return new User(userVoByUsername.getUsername(), userVoByUsername.getPassword()
//
//        ,delFlag=="0"?true:false,details.isAccountNonExpired(),details.isCredentialsNonExpired(),
//
//                lockFlag=="0" ?true:false, details.getAuthorities());
//    }
//}
