package cn.wise.sc.pay.api.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.association.bean.Blacklist;
import cn.wise.sc.pay.domain.association.query.BlacklistQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Component;

@Component
public class BlacklistServiceImpl implements IBlacklistService {
    @Override
    public BaseResponse<Page<Blacklist>> list(String userName, PageQuery pageQuery) {

        return BaseResponse.ok(new Page<>());
    }

    @Override
    public BaseResponse addBlacklist(BlacklistQuery blacklistQuery) {
        return BaseResponse.error("新增黑名单失败！", this.getClass());
    }

    @Override
    public BaseResponse deleteBannerById(Long id) {
        return BaseResponse.error("删除失败!", this.getClass());
    }
}
