package cn.wise.sc.pay.api.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Concern;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class ConcernServiceImpl implements IConcernService {
    @Override
    public ResponseEntity addConcern(Concern concern) {
        return ResponseEntity.ok("关注失败!");
    }

    @Override
    public ResponseEntity deleteConcern(Long meId, Long heId) {
        return ResponseEntity.ok("取消关注失败!");
    }

    @Override
    public ResponseEntity<List<Concern>> getConcernList(Long meId, Integer type) {
        return ResponseEntity.ok(null);
    }

    @Override
    public ResponseEntity<Map<String, Integer>> mainData(Long userId) {
        return ResponseEntity.ok(null);
    }

    @Override
    public BaseResponse judgeConcern(Long meId, Long heId) {
        return BaseResponse.ok("未关注");
    }
}
