package cn.wise.sc.pay.business.cashier.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description: 购物车商品
 * @author: qh
 * @create: 2020-03-27 14:03
 **/
@Data
@ApiModel
public class TrolleyGoodsDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 数量
     */
    @ApiModelProperty("数量")
    private Integer count;

    /**
     * 单价
     */
    @ApiModelProperty("单价")
    private BigDecimal price;

    @ApiModelProperty("图片地址")
    private String img;

    @ApiModelProperty("商品id")
    private Integer goodId;

    @ApiModelProperty("商品名称")
    private String title;

    @ApiModelProperty("选择得规格名")
    private String sku;

    @ApiModelProperty("选择得规格id")
    private Integer skuId;

    private String userId;
}
