package cn.wise.sc.pay.business.eshopping.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.Regions;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IEshopRegionsService extends IService<Regions> {

    /**
     * 收获地址树
     * @return
     */
    BaseResponse getRegionsTree();

    /**
     * 地址列表根据省市地区
     * @param parentId
     * @return
     */
    BaseResponse getRegionList(Integer parentId);
}
