package cn.wise.sc.pay.business.eshopping.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopType;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopTypeQuery;
import cn.wise.sc.pay.domain.eshopping.model.vo.EshopTypeVO;
import com.baomidou.mybatisplus.extension.service.IService;

public interface IEshopTypeService extends IService<EshopType> {

    /**
     * 添加商品分类
     * @param eshopType
     * @return
     */
    BaseResponse addGoodsType(EshopTypeQuery eshopType);

    /**
     * 更新商品分类
     * @param eshopType
     * @return
     */
    BaseResponse updateGoodsType(EshopTypeQuery eshopType);

    /**
     * 获取商品分类树
     * @return
     */
    BaseResponse getGoodsTypeTree();

}
