package cn.wise.sc.pay.business.eshopping.service;

import cn.wise.sc.pay.domain.eshopping.model.bean.LogisticsParent;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;
import java.util.Set;

/**
 * 物流模板父表业务接口层
 */
public interface ILogisticsParentService extends IService<LogisticsParent> {
    /**
     * 获取运费模板列表
     * @param templateId
     * @return
     */
    Map<Integer, LogisticsParent> getParents(Set<Integer> templateId);
}
