package cn.wise.sc.pay.business.eshopping.service.impl;

import cn.wise.sc.pay.business.eshopping.mapper.LogisticsParentMapper;
import cn.wise.sc.pay.business.eshopping.service.ILogisticsParentService;
import cn.wise.sc.pay.domain.eshopping.model.bean.LogisticsParent;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.collections.map.HashedMap;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 物流模板父表业务接口实现类
 */
@Service
public class LogisticsParentServiceServiceImpl extends ServiceImpl<LogisticsParentMapper, LogisticsParent> implements ILogisticsParentService {

    @Override
    public Map<Integer, LogisticsParent> getParents(Set<Integer> templateId) {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in("id",templateId);
        List<LogisticsParent> list = this.list(wrapper);
        Map<Integer,LogisticsParent> map = new HashMap<>();
        list.stream().forEach(arg->{
            map.put(arg.getId(),arg);
        });
        return map;
    }
}
