package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Validated
public class EshopType extends Model<EshopType> {

    /**
     * 商品分类
     */
    @TableId(type = IdType.AUTO)
    private Integer typeId;

    /**
     * 商品分类名称
     */
    private String typeName;

    /**
     * 上级分类id
     */
    private Integer parentId;

    /**
     * 排序号
     */
    private Integer sortNo;

    /**
     * 分类图标
     */
    private String icon;

  /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 最后一次修改时间
     */
    private Long modifyTime;

}
