package cn.wise.sc.pay.domain.eshopping.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RegionVO {

    /**
     * 地区名称
     */
    public String localName;
    /**
     * 地区id
     */
    public Integer id;
    /**
     * 父地区id
     */
    private Integer parentId;

    /**
     * 子对象集合
     */
    private List<RegionVO> children;

    /**
     * 级别
     */
    private Integer level;
}
