package cn.wise.sc.pay.api.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.common.core.query.TimeBucket;
import cn.wise.sc.pay.domain.exhibition.bean.EntranceQrcode;
import cn.wise.sc.pay.domain.exhibition.query.ExhibitionQuery;
import cn.wise.sc.pay.domain.exhibition.query.QRCodeGiftQuery;
import cn.wise.sc.pay.domain.exhibition.vo.RQCodeInfoVo;
import cn.wise.sc.pay.domain.exhibition.vo.TicketVO;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @description: 展览服务熔断器
 * @author: qh
 * @create: 2019-12-26 15:09
 **/
@Component
public class ExhibitionsServiceImpl implements IExhibitionsService {

    @Override
    public BaseResponse updateTicketStore(List<TicketVO> ticketVOS) {
        error();
        return null;
    }

    @Override
    public BaseResponse getExhibitionStore(Long id) {
        error();
        return null;
    }

    @Override
    public BaseResponse entranceCheck(String enQCodeJSON) {
        error();
        return null;
    }

    @Override
    public BaseResponse getQRCode(String orderNo) {
        error();
        return null;
    }

    @Override
    public BaseResponse addExhibition(ExhibitionQuery exhibitionQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse delExhibition(Integer id) {
        error();
        return null;
    }

    @Override
    public BaseResponse editExhibition(ExhibitionQuery exhibitionQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse upload(MultipartFile file) {
        error();
        return null;
    }

    @Override
    public BaseResponse editShowType(long id, int type) {
        error();
        return null;
    }

    @Override
    public BaseResponse getExhibitionList(String type, Integer showType, TimeBucket timeBucket) {
        error();
        return null;
    }

    @Override
    public BaseResponse getAdvertising() {
        error();
        return null;
    }

    @Override
    public BaseResponse getExhibitionPage(PageWrapperQuery pageQuery) {
        error();
        return null;
    }

    @Override
    public BaseResponse getExhibitionDetail(long id) {
        error();
        return null;
    }

    @Override
    public BaseResponse<List<RQCodeInfoVo>> getAllQRCode(String userId) {
        error();
        return null;
    }

    @Override
    public BaseResponse<EntranceQrcode> shareQRCode(QRCodeGiftQuery qrCodeGiftQuery) {
        error();
        return null;
    }

    /**
     * 服务异常
     *
     * @return
     */
    private BaseResponse error() {
        throw new RuntimeException("订单服务异常,请检查服务状态!");
    }
}
