package cn.wise.sc.pay.domain.exhibition.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author qh
 * @since 2019-11-18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExhibitionStore extends Model<ExhibitionStore> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 展览id
     */
    private Long exhibitionId;
    /**
     * 发行票数
     */
    private Integer totalPublish;
    /**
     * 已出售票数
     */
    private Integer totalSold;
    /**
     * 剩余数量
     */
    private Integer remaining;
    /**
     * 版本号
     */
    private Integer version;
    /**
     * 场次id
     */
    private Long ticketId;
    /**
     * 核算
     */
    private Integer chargeOff;
    /**
     * 单人限购
     */
    private Integer singleSold;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
