package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.LabelServiceImpl;
import cn.wise.sc.pay.domain.merchant.bean.Label;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/label/", fallback = LabelServiceImpl.class)
public interface ILabelService {


    @PostMapping("addLabel")
    public ResponseEntity addCategory(@RequestParam("name") String name);

    @PutMapping("updateLabel")
    public ResponseEntity updateLabel(@RequestBody Label label);

    @DeleteMapping("deleteLabel")
    public ResponseEntity deleteCategory(@RequestParam("id") Long id);

}
