package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.domain.merchant.bean.BankPermit;
import cn.wise.sc.pay.domain.merchant.query.BankPermitQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IBankPermitService extends IService<BankPermit> {

    /**
     * 添加商户开户行信息
     * @param bankPermitQuery
     * @return
     */
    ResponseEntity insertBankPermit(BankPermitQuery bankPermitQuery);

    /**
     * 变更商户开户行信息
     * @param bankPermit
     * @return
     */
    ResponseEntity updateBankPermit(BankPermit bankPermit);
}
