package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.BannerMenu;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-12-26
 */
public interface IBannerMenuService extends IService<BannerMenu> {

    ResponseEntity<BannerMenu> addOrUpdateBannerMenu(BannerMenu menu);

    List<BannerMenu> getBannerMenus();

    BaseResponse deleteBannerMenu(Integer id);

    BaseResponse orderMenu(Integer type, Integer id);
}
