package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName ProfitAllocation
 * @Description :
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProfitAllocation extends Model<ProfitAllocation> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 商户id
     */
    private Long merchId;
    /**
     * 支付方式
     */
    private String payment;
    /**
     * 奥索分润比例 以1000为基数
     */
    private Integer aosRate;
    /**
     * 招行分润比例 以1000为基数
     */
    private Integer cmbRate;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
