package cn.wise.sc.pay.domain.merchant.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class UserMerchantVo {
    private Integer id;
    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String username;
    //用户号码
    @ApiModelProperty("用户号码")
    private String userPhone;
    /**
     * 用户锁定状态
     */
    @ApiModelProperty("用户锁定状态")
    private String userLock;
    /**
     * 店铺名字
     */
    @ApiModelProperty("店铺名字")
    private String merchantName;
    /**
     * 设备编号
     */
    @ApiModelProperty("设备编号")
    private List<String> deviceCodes;
    /**
     * 设备类型名字
     */
    @ApiModelProperty("设备类型名字")
    private List<String> deviceTypeNames;
    /**
     * 店铺电话
     */
    @ApiModelProperty("店铺电话")
    private String merchantPhone;
    /**
     * 店铺联系人电话
     */
    @ApiModelProperty("店铺联系人电话")
    private String merchantLinkPhone;



}
