package cn.wise.sc.pay.api.order.service.impl;

import cn.wise.sc.pay.api.order.service.IBillsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * @description: 账单服务断路器
 * @author: qh
 * @create: 2019-12-25 20:04
 **/
@Component
public class BillsServiceImpl implements IBillsService {

    @Override
    public BaseResponse getBills(PageWrapperQuery queryWrapper) {
        error();
        return null;
    }

    @Override
    public BaseResponse getBillsPage(PageWrapperQuery queryWrapper) {
        error();
        return null;
    }
//
//    @Override
//    public BaseResponse readExcelAndInsert(MultipartFile file) {
//        error();
//        return null;
//    }
    /**
     * 服务异常
     *
     * @return
     */
    private BaseResponse error() {

        throw new RuntimeException("订单服务异常,请检查服务状态!");
    }
}
