package cn.wise.sc.pay.business.order.model;

import cn.wise.sc.payment.core.model.BaseModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName RequestParam
 * @Description : 请求参数列表
 * @Author Administrator
 * @Date 2019/12/9
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RequestParam extends BaseModel {

    /**
     * 请求实体
     */
    private String bizContent;

    /**
     * 编码方式
     */
    private String encoding;

    /**
     * 签名数据
     */
    private String sign;

    /**
     * 签名方式
     */
    private String signMethod;

    /**
     * 版本
     */
    private String version;
}
