package cn.wise.sc.pay.business.order.service.impl;

import cn.wise.sc.pay.business.order.mapper.MerchantPayProMapper;
import cn.wise.sc.pay.business.order.service.IMerchantPayProService;
import cn.wise.sc.pay.domain.order.model.MerchantPayPro;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-16 14:17
 **/
@Service
public class MerchantPayProServiceImpl extends ServiceImpl<MerchantPayProMapper, MerchantPayPro>
        implements IMerchantPayProService {

    @Override
    public MerchantPayPro getBySellerId(String sellerId) {
        QueryWrapper<MerchantPayPro> qw = new QueryWrapper<>();
        qw.eq("seller_id", sellerId);
        return this.getOne(qw);
    }
}
