package cn.wise.sc.pay.domain.order;

import cn.wise.sc.pay.domain.order.model.SafeguardStatus;

/**
 * 售后状态帮助类
 */
public class SafeguardUtil {

    public static SafeguardStatus getStatus(int status) {

        SafeguardStatus safeguardStatus;
        switch (status) {
            case 0:
                safeguardStatus = SafeguardStatus.APPLY;
                break;
            case 1:
                safeguardStatus = SafeguardStatus.AUDIT_YES;
                break;
            case 2:
                safeguardStatus = SafeguardStatus.AUDIT_NO;
                break;
            case 4:
                safeguardStatus = SafeguardStatus.STORAGE_PORTION;
                break;
            case 5:
                safeguardStatus = SafeguardStatus.APPLY_CANCEL;
                break;
            case 6:
                safeguardStatus = SafeguardStatus.REFUND;
                break;
            case 7:
                safeguardStatus = SafeguardStatus.REFUND_FAIL;
                break;
            case  8:
                safeguardStatus = SafeguardStatus.REFUND_COMPLETE;
                break;
            default:
                safeguardStatus = SafeguardStatus.ALL;
                break;
        }
        return safeguardStatus;
    }
}
