package cn.wise.sc.payment.cmb.model.cmbnoenet;

import lombok.Data;

/**
 * @description: 握手令牌对象
 * @author: qh
 * @create: 2020-05-19 11:39
 */
@Data
public class CMBOneNetTokenInfo {

  /** 接口版本号 */
  private String vernbr;

  /** 签名算法 */
  private String sigalg;

  /** 请求时间 */
  private String reqtim;

  /** 企业 ID */
  private String coridc;

  /** 用户 ID */
  private String usridc;

  /** 手机号 */
  private String usrmob;

  /** 授权码 */
  private String autcod;
}
