package cn.wise.sc.payment.wx;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * <p>微信支付常用配置</p>
 *
 * @author Corpier
 */

@Data
@Builder
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class WxPayApiConfig implements Serializable {
    private static final long serialVersionUID = -9044503427692786302L;
    
    private String appId;
    private String mchId;
    private String slAppId;
    private String slMchId;
    private String partnerKey;
    private String domain;
    private String certPath;
    private Object exParams;
}