package cn.wise.sc.pay.business.points.consumer.model;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 文章mq对象
 * @author: qh
 * @create: 2020-05-14 14:40
 **/
@Data
public class ArticleMq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;
    /**
     * 作者id
     */
    private Long authorId;
    /**
     * 作者名
     */
    private String authorName;
    /**
     * 作者头像
     */
    private String authorImage;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;
    /**
     * 状态 0通过 1驳回
     */
    private byte status;
    /**
     * 0小图 1大图
     */
    private byte picType;
    /**
     * 点赞数
     */
    private Long praiseNum;
    /**
     * 浏览数
     */
    private Long viewNum;

    /**
     * 评论数
     */

    private Long comNum;
    /**
     * 收藏数
     */
    private Long collectNum;

    /**
     * 所属分类
     */
    private String bname;

    /**
     * 封面图
     */
    private String coverImage;

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    /**
     * 图文类别 0图文 1文章
     */
    private byte type;
    /**
     * 发布地址
     */
    private String address;

}
