package cn.wise.sc.pay.business.points.consumer.model;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @description:
 * @author: qh
 * @create: 2020-04-28 16:42
 **/
@Data
public class PointsOrderMsgModel {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 商品json
     */
    private String goods;

    /**
     * 订单状态
     */
    private String orderStatus;

    /**
     * 支付状态
     */
    private String payStatus;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户电话
     */
    private String userPhone;

    /**
     * 订单总金额
     */
    private BigDecimal totalPrice;

    /**
     * 实际需要支付金额
     */
    private BigDecimal payPrice;

    /**
     * 支付方式
     */
    private String paymentMethodName;
    /**
     * 所属平台
     */
    private String paas;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 最后更新时间
     */
    private Long updateTime;

    /**
     * 预留字段
     */
    private String feild1;

    /**
     * 预留字段  目前用于存物流
     */
    private String feild2;

    /**
     * 预留字段  收银员
     */
    private String cashier;

    /**
     * 预留字段 设备号
     */
    private String deviceNo;

    /**
     * 预留字段 收货地址
     */
    private String receivePlace;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 店铺id
     */
    private Long shopId;

//  新增字段

    /**
     * 商品名称
     */
    private String goodsName;


    /**
     * 运费
     */
    private BigDecimal freight;

    /**
     * 当前订单获取到的积分
     */
    private BigDecimal points;

    /**
     * 支付时间
     */
    private Long payTime;

    /**
     * 折扣金额
     */
    private BigDecimal discount;

}
