package cn.wise.sc.pay.domain.point.bean;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2019-11-14
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointConversionRule extends Model<PointConversionRule> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 状态 1；启用 0:禁用
     */
    private Integer status;
    /**
     * 抵扣的最小消费金额
     */
    private Double minPay;
    /**
     * 抵扣的最大积分
     */
    private Double maxConversion;
    /**
     * 多少积分换抵1元
     */
    private Double conversionRule;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
