package cn.wise.sc.pay.domain.point.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "会员积分值传参对象")
public class MemberScoreQuery implements Serializable {
    /**
     * 会员等级id
     */
    @ApiModelProperty(value = "会员等级id")
    private Long memberShipId;
    /**
     * 会员等级id所对应积分
     */
    @ApiModelProperty(value = "会员等级id所对应积分值")
    private Integer memberScore;
}
