package cn.wise.sc.pay.domain.point.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CouponInfoVos implements Serializable {
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 优惠券类型名称
     */
    private String typeName;

    /**
     * 优惠券类型id
     */
    private Integer typeId;

    /**
     * 优惠券背景图片
     */
    private String image;
    /**
     * 优惠券面额
     */
    private Double cost;
    /**
     * 使用阈值
     */
    private Double ableValue;
    /**
     * 状态，0未使用，1，已使用
     */
    private Integer status;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;
}
