package cn.wise.sc.pay.business.sms.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import com.aliyuncs.exceptions.ClientException;

/**
 * 短信服务
 */

public interface SmsService {
    /**
     * 发送四位验证码至手机上
     * @param phone 手机号码
     * @return
     * @throws ClientException
     */
    BaseResponse sendSms( String phone) throws ClientException;

    /**
     * 检验手机验证码是否一致
     * @param telephone 手机号码
     * @param verificationCode
     * @return
     */
    BaseResponse checkSms(String telephone,String verificationCode);
}
