package cn.wise.sc.pay.common.core.constant;

public interface CommonConstants {

    /**
     * 编码
     */
    String UTF8 = "UTF-8";


    /**
     * 验证码前缀
     */
    String DEFAULT_CODE_KEY = "DEFAULT_CODE_KEY_";
    /**
     * 图形验证码的http前缀
     */
    String IMAGE_CODE_STR = "rendomStr";

    /**
     * 验证码有效期
     */
    int CODE_TIME = 60;
    /**
     * 验证码长度
     */
    String CODE_SIZE = "4";

    /**
     * 普通失败
     */
    int FAIL = 500;
    /**
     * 删除
     */
    String STATUS_DEL = "1";
    /**
     * 正常
     */
    String STATUS_NORMAL = "0";

    /**
     * 锁定
     */
    String STATUS_LOCK = "9";

    /**
     * 菜单
     */
    String MENU = "0";


    /**
     * JSON 资源
     */
    String CONTENT_TYPE = "application/json; charset=utf-8";

    /**
     * 前端工程名
     */
    String FRONT_END_PROJECT = "wise-ui";

    /**
     * 后端工程名
     */
    String BACK_END_PROJECT = "wise";

    /**
     * 成功标记
     */
    Integer SUCCESS = 0;
}
