package cn.wise.sc.pay.common.core.query;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 分页查询页大小的Query对象
 * @author: qh
 * @create: 2019-11-05 15:40
 **/

@Data
@ApiModel
public class PageQuery implements Serializable {

    private static final long serialVersionUID = 3979320797076183357L;
    @ApiModelProperty(value = "当前所在页码")
    private Integer pageNo = 0;
    @ApiModelProperty(value = "每页显示数量")
    private Integer pageSize = 10;
}
