package cn.wise.sc.pay.common.mq.server.service;

import cn.wise.sc.pay.common.mq.server.model.JMSDetail;

/**
 * @description: 普通生产者
 * @author: qh
 * @create: 2019-12-13 16:32
 **/
public interface IProducer {

    /**
     * 发送消息
     *
     * @param routeKey 路由键
     * @param msg
     */
    void send(String routeKey, String msg);

    /**
     * 构建JMS协议绑定
     *
     * @param jmsDetail JMS描述
     * @return
     */
    boolean bindJMS(JMSDetail jmsDetail);

}
