package cn.wise.sc.pay.business.comment.service;

import cn.wise.sc.pay.business.comment.bean.Reply;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IReplyService{

    /**
     * 根据评论id删除所有回复
     * @param commentIds
     * @return
     */
    Integer deleteByCommentId(List<String> commentIds);

    /**
     * 添加评论回复
     * @param reply
     * @return
     */
    Integer insertReply(Reply reply);

    /**
     * 更新点赞数
     * @param id
     * @return
     */
    Integer updatePraiseNum(Long id);

    /**
     * 删除回复
     * @param id
     * @return
     */
    Integer deleteById(Long id);

}
