package cn.wise.sc.pay.business.goods.model.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 15:35
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpcDetailQuery
        implements Serializable {
    private static final long serialVersionUID = -94136369603839201L;


    private long id;

    /**
     * 名字
     */
    private String name;

    /**
     * 售价
     */
    private double price;

    /**
     * 库存
     */
    private int store;
}
