package cn.wise.sc.pay.business.goods.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 16:22
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpecificationVO implements Serializable {

    private static final long serialVersionUID = 3165185404694349273L;

    private long id;

    /**
     * 规格名
     */
    private String name;

    /**
     * 所属商户
     */
    private long sellerId;

    /**
     * 规格详情
     */
    private List<SpcDetailVO> spcDetailVO;
}
