package cn.wise.sc.pay.business.goods.service;

import cn.wise.sc.pay.business.goods.model.SpcDetailResponse;
import cn.wise.sc.pay.business.goods.model.bean.SpcDetail;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 商品规格详情 服务类
 * </p>
 *
 * @author qh
 * @since 2019-12-03
 */
public interface ISpcDetailService extends IService<SpcDetail> {

    /**
     * 减库存
     * @param spcDetailId 规格id
     * @param num 数量
     * @return
     */
    BaseResponse<Boolean> subStore(long spcDetailId, Integer num);

    /**
     * 删除一种二级规格
     * @param detailId
     * @param sellerId
     * @return
     */
    SpcDetailResponse delSpcDetail(long detailId, int sellerId);
}
