package cn.wise.sc.pay.laas.userbac.business.mapper;

import cn.wise.sc.pay.laas.userbac.domain.entity.SysDept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 部门管理 Mapper 接口
 * </p>
 */
public interface SysDeptMapper extends BaseMapper<SysDept> {

	/**
	 * 关联dept——relation
	 *
	 * @return 数据列表
	 */
	List<SysDept> listDepts(@Param("prefix") String prefix, @Param("suffix") String suffix);

}