package cn.wise.sc.pay.pass.business.app.controller.eshop;

import cn.wise.sc.pay.api.eshopping.service.IEshopRegionService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@Api(description = "省市地区")
@RequestMapping("/app/eshop/region")
@CrossOrigin
@Validated
public class EshopRegionController {

    @Autowired
    IEshopRegionService regionService;

    @GetMapping("/regionList")
    public BaseResponse regionList(@RequestParam("parentId") Integer parentId){
        return regionService.regionList(parentId);
    }

}

