package cn.wise.sc.pay.pass.business.cashiers.controller;

import cn.wise.sc.pay.api.merchant.service.IMerchantService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.NotNull;

/**
 * @description: 商户控制器
 * @author: lqk
 * @create: 2019-12-04 11:46
 **/
@CrossOrigin
@RestController
@RequestMapping("/cashier/merchant/")
public class MerchantLoginController {

    @Autowired
    IMerchantService iMerchantService;

    @PostMapping("login")
    public BaseResponse login(@RequestParam("merchAppid") @NotNull String merchantAppid,
                              @RequestParam("password") @NotNull String password){
        BaseResponse baseResponse = iMerchantService.loginMerchant(merchantAppid,password);
        //设置授权
        return baseResponse;
    }
}
