package cn.wise.sc.pay.pass.business.cashiers.controller;

import cn.wise.sc.pay.laas.userbac.business.controller.RoleController;
import cn.wise.sc.pay.laas.userbac.business.service.MenuService;
import cn.wise.sc.pay.laas.userbac.business.service.RoleMenuService;
import cn.wise.sc.pay.laas.userbac.business.service.RoleService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/12/9 16:10
 */
@CrossOrigin
@RestController
@RequestMapping("/cashiers/role")
@Api(value = "cashiers/role", tags = "收银端角色管理")
public class UserRoleController extends RoleController {

    public UserRoleController(RoleService roleService, RoleMenuService roleMenuService, MenuService menuService) {
        super(roleService, roleMenuService, menuService);
    }



}
