package cn.wise.sc.pay.api.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Banner;
import cn.wise.sc.pay.domain.association.query.BannerQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class BannerServiceImpl implements IBannerService {

    Logger logger = LoggerFactory.getLogger(this.getClass());

    @Override
    public BaseResponse<List<Banner>> list() {
        errorLog();
        return BaseResponse.ok(null);
    }

    @Override
    public BaseResponse rwList() {
        errorLog();
        return BaseResponse.ok(null);
    }

    @Override
    public BaseResponse<List<Banner>> selectList() {
        errorLog();
        return BaseResponse.ok(null);
    }

    @Override
    public BaseResponse addBanner(BannerQuery bannerQuery) {
        errorLog();
        return BaseResponse.error("新增社群分类失败", this.getClass());
    }

    @Override
    public BaseResponse updateBannerName(Banner banner) {
        errorLog();
        return BaseResponse.error("更新社群名字失败!", this.getClass());
    }

    @Override
    public BaseResponse updateBannerOrder(Long tId, Long oId) {
        errorLog();
        return BaseResponse.error("更新排序失败!", this.getClass());
    }

    @Override
    public BaseResponse deleteBannerById(Long id) {
        errorLog();
        return BaseResponse.error("删除社群分类失败!", this.getClass());
    }

    private void errorLog() {
        logger.error("社区服务,类型管理这块进断路器了");
    }
}
