package cn.wise.sc.pay.business.association;

import cn.wise.sc.pay.business.association.mapper.ArticleBannerMapper;
import cn.wise.sc.pay.common.swagger.EnableWiseSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * @author neo.shu
 * @since 2019/11/5 20:23
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableWiseSwagger2
@MapperScan(basePackageClasses = ArticleBannerMapper.class)
public class AssociationApplication {

    public static void main(String[] args) {

        SpringApplication.run(AssociationApplication.class, args);
    }
}
