package cn.wise.sc.pay.business.cashier;

import cn.wise.sc.pay.common.swagger.EnableWiseSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-05 10:03
 **/
@EnableDiscoveryClient
@EnableSwagger2
@SpringBootApplication
public class CashierSystemApplication {

    public static void main(String[] args) {
        SpringApplication.run(CashierSystemApplication.class, args);
    }

}
