package cn.wise.sc.pay.api.eshopping.service;

import cn.wise.sc.pay.api.eshopping.service.hystrix.EshopRegionServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 省市地区接口
 */
@FeignClient(value = "saas-v1-eshopping",path = "/eshop/region",fallback = EshopRegionServiceImpl.class)
public interface IEshopRegionService {

    @GetMapping("/regionList")
    BaseResponse regionList(@RequestParam("parentId") Integer parentId);

    @GetMapping("regionsTree")
    BaseResponse goodsTypeTree();
}
