package cn.wise.sc.pay.business.eshopping.mapper;

import cn.wise.sc.pay.domain.eshopping.model.bean.EshopGoods;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopGoodsSpec;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopGoodsSpecification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Mapper
public interface EshopGoodsMapper extends BaseMapper<EshopGoods> {

    /**
     * 获取商品及规格详情的列表
     * @param goodsList 商品id及规格id组成的对象的集合
     * @return
     */
    List<EshopGoodsSpecification> goodsSpecList(@Param("goodsList") List<EshopGoodsSpec> goodsList);
}
