package cn.wise.sc.pay.business.eshopping.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.ReceiveAddress;
import cn.wise.sc.pay.domain.eshopping.model.query.ReceiveAddressQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IReceiveAddressService extends IService<ReceiveAddress> {

    /**
     * 新建收货地址
     * @param addressQuery
     * @return
     */
    BaseResponse receiveAddress(ReceiveAddressQuery addressQuery);

    /**
     * 编辑收货地址
     * @param addressQuery
     * @return
     */
    BaseResponse updateAddress(ReceiveAddressQuery addressQuery);

    /**
     * 根据用户获取用户收获地址
     * @param userId
     * @return
     */
    BaseResponse addressList(Integer userId);
}
