package cn.wise.sc.pay.business.exhibition.mapper;

import cn.wise.sc.pay.domain.exhibition.bean.EntranceQrcode;
import cn.wise.sc.pay.domain.exhibition.po.RQCodeInfoDo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 入场二维码 Mapper 接口
 * </p>
 *
 * @author qh
 * @since 2019-11-21
 */
@Mapper
public interface EntranceQrcodeMapper extends BaseMapper<EntranceQrcode> {

    /**
     * 获取票据展览信息
     * @param userId 用户id
     * @return 票据展览信息集合
     */
    List<RQCodeInfoDo> getQRCodeInfoPo(@Param("userId") String userId);
}
