package cn.wise.sc.pay.domain.exhibition.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @description: 下单请求类
 * @author: qh
 * @create: 2019-11-22 14:59
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderQuery {

    /**
     * 订单中商品信息
     */
    private List<GoodsQuery> goodsQueries;

    /**
     * 支付方式 支付宝 ,微信,网银
     */
    private String paymentMethodName;

    /**
     * 组织id  此处是展览id
     */
    private long organizationId;

    /**
     * 预下单订单号
     */
    private String preOrderNo;

    /**
     * 用户id
     */
    private Long userId;

}
