package cn.wise.sc.pay.domain.merchant.query;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName CategoryQuery
 * @Description :商铺分类
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryQuery extends Model<CategoryQuery> {

    private static final long serialVersionUID = 1L;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 分类父id
     */
    private Long parentId;

    /**
     * 分类等级
     */
    private Integer rank;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
