package cn.wise.sc.pay.business.order.consumer.model;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2019-11-18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExhibitionMq {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 类型,用/分割
     */
    private String type;

    /**
     * 标签
     */
    private String tag;
    /**
     * 展览名
     */
    private String title;

    /**
     * 是否开启广告位 0:不开启 1:开启
     */
    private Integer advertisingType;

    /**
     * 展示类型 0:上新  1:推荐位
     */
    private Integer showType;
    /**
     * 封面路径
     */
    private String coverUrl;
    /**
     * 广告路径
     */
    private String advertisingUrl;
    /**
     * 市场价
     */
    private Double price;

    /**
     * 地址
     */
    private String address;
    /**
     * 想看人数
     */
    private Integer wantWatch;
    /**
     * 评论数
     */
    private Integer totalComment;
    /**
     * 0:单人单次  1:单人多次
     */
    private Integer singleType;
    /**
     * 折扣后价
     */
    private Double discountPrice;
    /**
     * 1:正在进行 0:已结束
     */
    @TableField("`status`")
    private Integer status;
    /**
     * 0:未删除 1:已删除
     */
    private Integer delFlag;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;
    /**
     * 详情
     */
    @TableField(value = "`describe`")
    private String describe;

    /**
     * 退款比例
     */
    private Double refundRate;
}
