package cn.wise.sc.pay.business.order.model;

import lombok.Data;

import java.util.List;

/**
 * @description: 微信内容安全请求对象
 * @author: qh
 * @create: 2020-06-16 15:25
 **/
@Data
public class WxContentQuery {

    /**
     * 待审核的图片集合
     */
    private List<String> urlImg;

    /**
     * 待审核的文本内容
     */
    private String content;
}
