package cn.wise.sc.payment.cmb.weichat.method;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLSession;

/**
 * 创建不校验域名的HostnameVerifier
 */
public class NoopHostnameVerifier implements HostnameVerifier {

	public static final NoopHostnameVerifier INSTANCE = new NoopHostnameVerifier();

	@Override
	public boolean verify(final String s, final SSLSession sslSession) {
		return true;
	}

}