package cn.wise.sc.pay.api.points.service.config;


import org.springframework.cloud.client.ConditionalOnDiscoveryEnabled;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;


/**
 * <p>
 * 自动扫描包
 * </p>
 *
 * @author qh
 * @since 2020-2-28
 */
@Configuration
@ConditionalOnDiscoveryEnabled
@ComponentScan(basePackages = "cn.wise.sc.pay.api.points.service")
@EnableFeignClients(basePackages = "cn.wise.sc.pay.api.points.service")
public class PointAutoScanPackages {

}
