package cn.wise.sc.pay.business.points.dbinit;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.config.GlobalConfig;
import com.baomidou.mybatisplus.generator.config.PackageConfig;
import com.baomidou.mybatisplus.generator.config.StrategyConfig;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;

/**
 * @description: 代码生成器
 * @author: qh
 * @create: 2019-12-12 11:32
 **/
public class MybatisGenerator {


    public static void main(String[] args) {

        //设置文件的生成策略
        GlobalConfig globalConfig = new GlobalConfig();
        globalConfig.setActiveRecord(true) //是否支持AR
                .setOutputDir("C:\\Users\\Public\\java\\card-pay-manager2\\card-pay-manager\\card-saas\\saas-points\\points-business\\src\\main\\java")  //文件保存路径
                .setAuthor("qh") //作者
                .setOpen(false)
                .setEnableCache(false)// XML 二级缓存
                .setBaseResultMap(true)// XML ResultMap
                .setBaseColumnList(true)// XML columList
                .setIdType(IdType.AUTO); //主键策略


        //设置数据源XpenseTracker
        DataSourceConfig dataSourceConfig = new DataSourceConfig();
        dataSourceConfig.setUrl("jdbc:mysql://127.0.0.1:3306/oxo_point?useUnicode=true&characterEncoding=UTF-8");
        dataSourceConfig.setDriverName("com.mysql.cj.jdbc.Driver");
        dataSourceConfig.setUsername("root");
        dataSourceConfig.setPassword("admin!@#123");

        //设置表的生成策略
        StrategyConfig strategyConfig = new StrategyConfig();
        strategyConfig
                .setNaming(NamingStrategy.underline_to_camel)
                .setEntityLombokModel(true)
                .setRestControllerStyle(true)
                .setInclude("point_photo")
                .setCapitalMode(false);//允许大写

        //设置包生成策略
        PackageConfig pkConfig = new PackageConfig();
        pkConfig.setParent("cn.wise.sc.pay.business.points").setEntity("model").setController("controller");


        //装载自动生成
        AutoGenerator autoGenerator = new AutoGenerator();
        autoGenerator.setGlobalConfig(globalConfig)
                .setStrategy(strategyConfig)
                .setPackageInfo(pkConfig)
                .setDataSource(dataSourceConfig);

        autoGenerator.execute();
    }

}
