package cn.wise.sc.pay.business.points.service.impl;

import cn.wise.sc.pay.business.points.mapper.PointMemberShipMapper;
import cn.wise.sc.pay.business.points.service.IPointMemberShipService;
import cn.wise.sc.pay.domain.point.bean.PointMemberShip;
//import cn.wise.sc.pay.domain.point.query.PointMemberShipQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 会员关系 积分 业务实现类
 */
@Service
public class PointMemberShipServiceImpl extends ServiceImpl<PointMemberShipMapper, PointMemberShip> implements IPointMemberShipService {
//    @Override
//    public ResponseEntity addPoint(PointMemberShipQuery pointMemberShipQuery) {
//        PointMemberShip pointMember = PointMemberShip.builder()
//                .score(pointMemberShipQuery.getScore())
//                .membershipId(pointMemberShipQuery.getMembershipId())
//                .pointTypeId(pointMemberShipQuery.getPointTypeId())
//                .createTime(pointMemberShipQuery.getCreateTime())
//                .build();
//
//        if (pointMember.getCreateTime()==null){
//            pointMember.setCreateTime(System.currentTimeMillis());
//        }
//        boolean savePoint = this.save(pointMember);
//        return savePoint?ResponseEntity.ok("积分添加成功！"):ResponseEntity.badRequest().body("添加积分失败");
//    }



    @Override
    public ResponseEntity selectByMemberId(Long memberId) {
        QueryWrapper<PointMemberShip> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("membership_id", memberId);
        List<PointMemberShip> list = this.list(queryWrapper);
        return list==null?ResponseEntity.badRequest().body("查询会员的积分失败"):ResponseEntity.ok(list);
    }

    @Override
    public ResponseEntity selectPage(Integer pageNo, Integer pageSize) {

        Page<PointMemberShip> pageQuery = new Page<>(pageNo, pageSize);
        IPage<PointMemberShip> page = this.page(pageQuery);

        return page==null?ResponseEntity.badRequest().body("查询积分分页列表失败"):ResponseEntity.ok(page);
    }

}
