package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2020-05-11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CashPointRecord extends Model<CashPointRecord> {

    private static final long serialVersionUID=1L;

    /**
     * 消费金额
     */
    private BigDecimal money;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 积分
     */
    private String points;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 兑换状态 0:未兑换 1:已兑换
     */
    private Integer status;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
