package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@Builder
@AllArgsConstructor
@TableName("member_point_copy1")
public class MemberPoint_copy extends Model<MemberPoint_copy> {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    /**
     * 会员等级id
     */
    private Long memberLevelId;

    /**
     * 会员积分值
     */
    private Double memberScore;

    /**
     * 途径
     */
    private String pathWay;

    /**
     * 0是正常，1是已删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer delFlag;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
