package cn.wise.sc.pay.domain.point.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 优质点评积分值
 */
@ApiModel(description = "优质点评传参对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WordComment implements Serializable {
    /**
     * 字数条件   达.....
     */
    @ApiModelProperty(value = "字数条件   达.....")
    private Integer words;

    /**
     * 优质点评积分值
     */
    @ApiModelProperty(value = "优质点评积分值")
    private Integer wordScore;
}
